JUCE: ImageType Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ImageType Class Referenceabstract
juce_graphics » images

This base class is for handlers that control a type of image manipulation format, e.g. More...

`#include <juce_Image.h>`

Inheritance diagram for ImageType:

## Public Member Functions
| ImageType ()
virtual | ~ImageType ()
virtual ImagePixelData::Ptr | create (Image::PixelFormat, int width, int height, bool shouldClearImage) const =0
| Creates a new image of this type, and the specified parameters.
virtual int | getTypeID () const =0
| Must return a unique number to identify this type.
virtual Image | convert (const Image &source) const
| Returns an image which is a copy of the source image, but using this type of storage mechanism.

## Detailed Description

This base class is for handlers that control a type of image manipulation format, e.g.

an in-memory bitmap, an OpenGL image, CoreGraphics image, etc.

See also
  SoftwareImageType, NativeImageType, OpenGLImageType

## Constructor & Destructor Documentation

## ◆ ImageType()

ImageType::ImageType | ( |  | ) |

## ◆ ~ImageType()

virtual ImageType::~ImageType | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

virtual ImagePixelData::Ptr ImageType::create | ( | Image::PixelFormat | ,
|  | int | width,
|  | int | height,
|  | bool | shouldClearImage ) const
| pure virtual

Creates a new image of this type, and the specified parameters.

Implemented in SoftwareImageType, NativeImageType, and OpenGLImageType.

## ◆ getTypeID()

virtual int ImageType::getTypeID | ( |  | ) | const
| pure virtual

Must return a unique number to identify this type.

Implemented in SoftwareImageType, NativeImageType, and OpenGLImageType.

## ◆ convert()

virtual Image ImageType::convert | ( | const Image & | source | ) | const
| virtual

Returns an image which is a copy of the source image, but using this type of storage mechanism.

For example, to make sure that an image is stored in-memory, you could use:

myImage = SoftwareImageType().convert (myImage);
ImageType::convert
virtual Image convert(const Image &source) const
Returns an image which is a copy of the source image, but using this type of storage mechanism.
SoftwareImageType
An image storage type which holds the pixels in-memory as a simple block of values.
Definition juce_Image.h:531

The documentation for this class was generated from the following file:

- juce_Image.h